1. Welcome to the official forum for MINIX devices!

Announced Android 5 firmware for X8H Plus delayed or cancelled?

Discussion in 'Official Firmware Releases' started by donatinho, May 9, 2017.

  1. Cizzz

    Cizzz Active Member

    So I have two hubs: a X8H-plus and the U9-H. For a long time the X8 is a stable box with all the options we need and without noticeable restrictions, permission or sound/image issues.

    In my opinion I really doubt that the update to a Lollipop will make us X8 owners happy. There will be a lot of issues that probably will not be solved as Minix stated. I do not expect many firmware updates to come.

    Me too I bought the U9 partly because of the Kodi 17 parse error and https protocol discussions (but now there are alternative solutions) and because I wanted something faster and "new".

    With this U9 box too there were some issues at the beginning so I even kept using my stable X8 instead. Only after the 5beta firmware I started using the U9 on a daily basis. When you come from Kitkat it is hard to accept some new security limitations such as the new limited write/delete permissions on external storage.

    So, I'm even bold enough to predict that after upgrading my X8 I will most probably go back to Kitkat as I know I always expect thing to be flawless. But let's keep our fingers crossed that for those who want to juvenile their hub and only use standard stuff, will get their wanted satisfaction.


    Sent from my iPhone using Tapatalk Pro
  2. Villa

    Villa Well-Known Member Super Moderator

  3. Menorca Man

    Menorca Man Active Member Trusted Helper

  4. Villa

    Villa Well-Known Member Super Moderator

    Menorca Man likes this.
  5. zoro25

    zoro25 New Member

    Who had replied?, I don't see a reply I just see that the posts have been merged .
    Question still stands , and no it's not off topic , My X8H Plus device has software which minix forked edited and and includes in their firmware releases. This forked software has a vulnerability. Minix are about to push a new update for my X8H Plus which this thread is about and I'm asking if minix are planning a fix either in the impending firmware that this thread is talking about or at anytime soon.
    Grippy Man likes this.
  6. Villa

    Villa Well-Known Member Super Moderator

    I think the fix has to come in the Kodi forks not the firmware.
  7. zoro25

    zoro25 New Member

    Okay , AFAIK minix has forked XBMC and not made their fork public, They keep it closed source. Therefore the fix has to come from Minix. No one has access to their version of XBMCplayer which they include in firmware updates.

    If I'm wrong then please point me to their GitHub repro and I'll contact Checkpoint and make the change and make a push request to their repro.

    **EDIT**
    Just found this.
    https://github.com/MINIX-NEO/xbmc/
    If a "real" staff member can confirm this is their repro I'll look into making a fix
    PS the fix is just an easy port of this pull https://github.com/xbmc/xbmc/pull/12024
    from the official XBMC repro into the Minix repro
    Last edited: May 24, 2017
    tigerporc and Grippy Man like this.
  8. Villa

    Villa Well-Known Member Super Moderator

    @zoro25 when the Android 5 update comes then you can use Kodi 17 which has had the security fix.
    I thought the point of releasing Android 5 is so everyone can run Kodi 17!
    dssv likes this.
  9. Frederick_99

    Frederick_99 Well-Known Member Trusted Helper

    you need to stop behaving like a 2 year old with all your demands........
  10. zoro25

    zoro25 New Member

    Okay , I get it , I just thought that Minix normally include their own version of XBMC/Kodi which is actually what I've been using.
    I'd rather not have a version included at all than have a vulnerable version included.

    I'm all good to use the official version.
    Sorry for being an ass about the issue, from looking at the Kodi source just now , it easy to work out the exploit.
    Grippy Man likes this.
  11. zoro25

    zoro25 New Member

    Dude is it too much to ask for a security fix ?,
    Where did I demand , if you read I asked a few times if a fix was planned.
    I even offered to code the fix myself

    Maybe you need to not act like a Helper badge makes you king of the world. (or maybe a 2 year old :)
    Last edited: May 25, 2017
    Grippy Man and tombrani like this.
  12. Frederick_99

    Frederick_99 Well-Known Member Trusted Helper


    No it isn't to much to enquire about a security fix...its how you go about it

    Here are your quotes from your posts which look much like demands to me , and i did read through your posts before posting my comment

    Therefore the fix has to come from Minix.

    What do you mean it has nothing to do with you?, If you don't work for minix then just leave the post to be answered by someone who does.

    I'm asking for a minix staff member to contact them . It's their software and their responsibility to patch security bugs.

    Okay but that's still not an answer of when a fix will come , have you contacted Checkpoint security as everyone's devices are now insecure.


    all i hope is that members of the forum show a little respect and courtesy
    SLauder likes this.
  13. Grippy Man

    Grippy Man Active Member

    I think you've started behaving like 2 year old just saying "don't ask... Don't ask about that"

    Sent from my MI 5 using Tapatalk
    harrison_ford likes this.
  14. Argyrios

    Argyrios Member

    Actually guys, I would expect developers of Kodi to acknowledge the fact of most android boxes still being on KitKat and the criticality of this security flaw and release a fix on top of 16.x. After all, we see Microsoft still releasing Security Fixes for Critical Security Flaws still for windows XP that they have desupported so long now...

    Added request to Kodi forums accordingly: http://forum.kodi.tv/showthread.php?tid=315092&pid=2592346#pid2592346
  15. BHWSyd

    BHWSyd Member

    Or keep your eye on FTMC version 27 which I believe contains the fix. Just keep an eye out as to whether it is stable as there is the suspicion a bug surrounding the Kodi repo has emerged.

    It does appear at least to me that the ongoing development within FTMC has now surpassed XBMC 16.3 in terms of picture quality and stability. It runs well on KitKat, have to admit.
  16. rmaijala1

    rmaijala1 Member

    I am currently running FTMC build 26, the latest SPMC 16.3 I believe, and the Mygica media center which is based on Kodi 17 and ported to kit Kat.

    These are all side by side on my Minix 8H+ my favorite is the FTMC version it give me a few more HD sources than SPMC. The Mygica version of Kodi 17 is ok same sources as FTMC but the color is not as vibrant as the other 2 versions. I don't know if it is because the codes used or not (media codec Surface) . But it uses a lot more cpu resources than the other 2. Kodi 17 version by Mygica crashed when I copied my old userdata folders into it thus I had to do a clean install. All are using confluence skin.

    All in all I prefer the Freak Tab version. What's the point of having open-source software if we don't take advantage of it. If this was the case there wouldn't be countless Linux versions just the original. Time for some of us to get out of their safe spaces and try some different alternatives.

    Sent from my SM-T715Y using Tapatalk
  17. MINIX - Ken

    MINIX - Ken MINIX Team Member Administrator

  18. MINIX - Ken

    MINIX - Ken MINIX Team Member Administrator

    Yes, it's never closed-source.
    tigerporc likes this.